1. user
Talkamie APIs
  • constants
    • coins
  • https
    • push-notification
    • alerts
      • get alerts
    • auth
      • get user by token
      • sign up
      • sign in
      • sign out
      • reset password
    • availability
      • get custom availability
      • get weekly availability
      • set custom availability
      • set weekly availability
    • call
      • get call
    • calls
      • get call histories
    • chat
      • get chat
      • get messages
    • chats
      • get frequent chats
      • get unread chats
      • get pending chats
      • get chats
    • connect-requests
      • get pending connection requests
      • get users you're in connection with
    • faqs
      • get faqs
      • get faqs by type
    • finance
      • web - balance top-up flow
      • transactions - all
      • transactions - earnings
      • transactions - purchases
      • transactions - withdrawals
      • web - balance top-up
      • withdraw coins
    • interests
      • get interests
    • otp
      • generate otp
      • verify otp
    • reviews
      • get your reviews
    • schedule
      • get a schedule
      • update a schedule
      • delete schedule
    • schedules
      • get all schedules
      • get past schedules
      • get upcoming schedules
    • signed-urls
      • uploading a file
      • files
    • specializations
      • get specialization areas
    • support
      • get open ticket
      • get ticket messages
    • user
      • update user
        PUT
      • change password
        PUT
      • get user
        GET
      • delete user
        DELETE
      • schedule a call
        POST
      • clear schedules
        DELETE
      • send connection request
        POST
      • cancel connection request
        DELETE
      • accept connection from user
        POST
      • reject connection request
        DELETE
      • disconnect from a user
        DELETE
      • send message request
        POST
      • cancel message request
        DELETE
      • accept message request
        POST
      • reject message request
        DELETE
      • get user reviews
        GET
      • review a user
        POST
      • update review
        PUT
      • delete review
        DELETE
      • verification - add background info
        POST
    • users
      • get users
  • wss
    • __readme
    • alert.new
    • alert.update
    • alerts.update
    • authenticate
    • chat.message.new
    • chat.message.send
    • chat.messages.get
    • chat.messages.update
    • chat.update
    • chats.update
    • ping
    • schedule.upcoming
    • support.message.new
    • support.message.send
    • support.messages.get
    • support.messages.update
    • user.coins.low
    • user.update
  • Schemas
    • v1
      • alert
        • alert_type_schedule
        • alert_type_connect_request
        • alert_type_message_request
        • alert_type_review
        • alert_type_transaction
        • alert_type
        • basic_alert
        • push_notification_json_data
      • availability
        • custom_availability_items
        • weekly_availability_items
      • call
        • basic_call
        • full_call
      • chat
        • basic_chat
        • basic_chat_message
        • basic_chat_request
        • full_chat
      • connect-request
        • basic_connect_request
        • full_connect_request
      • faq
        • basic_faq
      • file
        • file_props
        • compressed_file
      • interest
        • basic_interest
      • review
        • basic_review
        • full_review
      • schedule
        • basic_call_schedule
        • full_call_schedule
      • support
        • full_support_ticket
        • basic_support_ticket
        • basic_support_message
      • time
        • iso_date_time
        • iso_date
        • iso_time_24hr
        • week_day_abbr
        • time_range
      • transaction
        • basic_transaction
      • user
        • basic_user
        • user_specialization_area
        • full_user
        • extended_user
        • user_verification_status
        • user_account
        • user_account_without_tokens
        • user_tokens
      • wss
        • wss_action_base
        • wss_action_alert
        • wss_action_chat
        • wss_action_support
        • wss_action_user
        • wss_action
  1. user

disconnect from a user

Develop Env
https://test-api.talkamie.com/v1
Develop Env
https://test-api.talkamie.com/v1
DELETE
/user/{id}/connection/disconnect

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://test-api.talkamie.com/v1/user//connection/disconnect' \
--header 'Authorization: Bearer <access-token>'

Responses

🟢200Success
application/json
Body

Example
{
    "data": {
        "me": {
            "age": 0,
            "bio": "string",
            "email": "string",
            "gender": "male",
            "id": "string",
            "location": {
                "city": "string",
                "country": "string",
                "state": "string"
            },
            "name": "string",
            "picture": {
                "sm": {
                    "mimeType": "string",
                    "url": "string"
                },
                "org": {
                    "mimeType": "string",
                    "url": "string"
                }
            },
            "rating": 0,
            "type": "senior",
            "viewer": {
                "id": "string",
                "chat": {
                    "id": "string"
                },
                "connectRequest": {
                    "id": "string",
                    "status": "pending",
                    "from": {
                        "id": "string"
                    },
                    "to": {
                        "id": "string"
                    },
                    "user": {}
                },
                "review": {
                    "id": "string"
                }
            },
            "availability": {
                "custom": {
                    "<YYYY-MM-DD>": [
                        {
                            "start": "string",
                            "end": "string"
                        }
                    ]
                },
                "weekly": {
                    "<day_of_the_week_abbr>": [
                        {
                            "start": "string",
                            "end": "string"
                        }
                    ]
                },
                "bookedSlots": {
                    "custom": {
                        "<YYYY-MM-DD>": [
                            {
                                "start": "string",
                                "end": "string"
                            }
                        ]
                    },
                    "weekly": {
                        "<day_of_the_week_abbr>": [
                            {
                                "start": "string",
                                "end": "string"
                            }
                        ]
                    }
                }
            },
            "dailyInfo": {
                "totalCalls": 0
            },
            "dob": "string",
            "fileDirPath": "string",
            "interests": [
                {
                    "id": "string",
                    "name": "string",
                    "iconSrc": "string"
                }
            ],
            "language": "string",
            "ledger": {
                "coins": {
                    "balance": 0
                },
                "paypal": {
                    "email": "string"
                }
            },
            "preferences": {
                "call": {
                    "maxCount": 0,
                    "maxDuration": "unlimited"
                },
                "notifications": {
                    "push": {
                        "enabled": true
                    }
                }
            },
            "timezoneOffset": 0,
            "totalConnections": 0,
            "totalPendingRequests": 0,
            "totalReviews": 0,
            "totalUnreadAlerts": 0,
            "totalUnreadChats": 0,
            "verification": {
                "verified": true,
                "basic": {
                    "status": "pending"
                },
                "admin": {
                    "status": "pending"
                },
                "background": {
                    "status": "pending"
                }
            },
            "video": {
                "sm": {
                    "mimeType": "string",
                    "url": "string"
                },
                "org": {
                    "mimeType": "string",
                    "url": "string"
                }
            },
            "visibility": "public",
            "license": {
                "id": "string"
            },
            "certificate": {
                "file": {
                    "sm": {
                        "mimeType": "string",
                        "url": "string"
                    },
                    "org": {
                        "mimeType": "string",
                        "url": "string"
                    }
                },
                "state": "string"
            },
            "specialization": {
                "area": "string"
            },
            "support": {
                "ticket": {
                    "id": "string",
                    "user": {
                        "age": 0,
                        "bio": "string",
                        "email": "string",
                        "gender": "male",
                        "id": "string",
                        "location": {
                            "city": "string",
                            "country": "string",
                            "state": "string"
                        },
                        "name": "string",
                        "picture": {
                            "sm": {
                                "mimeType": "string",
                                "url": "string"
                            },
                            "org": {
                                "mimeType": "string",
                                "url": "string"
                            }
                        },
                        "rating": 0,
                        "type": "senior",
                        "viewer": {
                            "id": "string",
                            "chat": {
                                "id": "string"
                            },
                            "connectRequest": {
                                "id": "string",
                                "status": "pending",
                                "from": {
                                    "id": "string"
                                },
                                "to": {
                                    "id": "string"
                                },
                                "user": {}
                            },
                            "review": {
                                "id": "string"
                            }
                        }
                    },
                    "status": "open"
                }
            }
        }
    }
}
Modified at 2026-03-14 07:20:55
Previous
reject connection request
Next
send message request
Built with